=== debian/control ===
Source: olinuxino-overlays
Maintainer: Olimex Dev team <support@olimex.com>
Section: kernel
Priority: optional
Standards-Version: 4.4.1
Vcs-Browser: https://github.com/OLIMEX/olinuxino-overlays
Vcs-git: https://github.com/OLIMEX/olinuxino-overlays.git
Build-Depends:
 debhelper-compat (= 12),
 device-tree-compiler

Package: olinuxino-overlays
Architecture: all
Section: kernel
Priority: optional
Depends: ${misc:Depends}
Description: FDT overlays for OLinuXino platform
 .
 This package provides various helper overlays for I2C, SPI, UART, etc.
