=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_auto_install:
	# Install overlays
	for soc in sun7i-a20 sun5i-a13 sun4i-a10 sun50i-a64 stm32mp1; do \
		mkdir -p debian/olinuxino-overlays/usr/lib/olinuxino-overlays/$${soc} ; \
		find $${soc}/ -name "*.dtbo" -exec cp -f {} debian/olinuxino-overlays/usr/lib/olinuxino-overlays/$${soc}/ \; ; \
	done

	# Install scripts
	mkdir -p debian/olinuxino-overlays/usr/sbin/
	install -m 755 scripts/* debian/olinuxino-overlays/usr/sbin/

override_dh_auto_test:
